function pbeDefinition = linearGrowth_metroVolume
%% call common definition
pbeDefinition = linearGrowth_common;
seed = 0;

%% discrete sampling
thisFileName = ['metroArchive/linearGrowthMetroVol_' num2str(seed) '.matx'];
if ~exist(thisFileName, 'file')
    rng(seed);
    
    disD = obtainDistributionDiscrete('metro', ...
        'nSample', pbeDefinition.seeding.nSample, ...
        'metroHandle', pbeDefinition.seeding.volumeHandle, ...
        'metroInit', [0 0 0]', ...  %m
        'metroCov', diag((pbeDefinition.seeding.meanSize*[1 1 1]).^2), ...
        'metroNonAdaptive', 1e3, ...
        'metroNoHistory', 1e3, ...
        'metroIntegral', pbeDefinition.analyticVolume(0), ...
        'verbose', 1);
    save(thisFileName, '-mat', 'disD')
else
    load(thisFileName, '-mat');
end
pbeDefinition.seeding.disD = disD;
% pbeDefinition.seeding.disD.resMetro.mean
% pbeDefinition.seeding.disD.resMetro.cov

% printDistributionStatistics_linear(pbeDefinition);